io.vertx.ext.web.client.predicate

## Interface ErrorConverter

- Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface ErrorConverter

  Converts a `ResponsePredicateResult` to a `Throwable` describing the error.
  Author:
    Thomas Segismont

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ErrorConverter` | `DEFAULT_CONVERTER`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `apply(ResponsePredicateResult result)`
    `static ErrorConverter` | `create(java.util.function.Function<ResponsePredicateResult,Throwable> converter)` Creates a full `ErrorConverter`, that will passed a predicate result with the response body.
    `static ErrorConverter` | `createFullBody(java.util.function.Function<ResponsePredicateResult,Throwable> converter)` Creates a full `ErrorConverter`, that will passed a predicate result with the response body.
    `default boolean` | `requiresBody()`

- - ### Field Detail

    - #### DEFAULT_CONVERTER

          static final ErrorConverter DEFAULT_CONVERTER

  - ### Method Detail

    - #### create

          static ErrorConverter create(java.util.function.Function<ResponsePredicateResult,Throwable> converter)

      Creates a full `ErrorConverter`, that will passed a predicate result with the response body.

      The `converter` function will be invoked after the HTTP response body is received.

      Parameters:
        `converter` - a function creating a `Throwable` from a `ResponsePredicateResult`

    - #### createFullBody

          static ErrorConverter createFullBody(java.util.function.Function<ResponsePredicateResult,Throwable> converter)

      Creates a full `ErrorConverter`, that will passed a predicate result with the response body.

      The `converter` function will be invoked after the HTTP response body is received.

      Parameters:
        `converter` - a function creating a `Throwable` from a `ResponsePredicateResult`

    - #### apply

          Throwable apply(ResponsePredicateResult result)

    - #### requiresBody

          default boolean requiresBody()

      Returns:
        `true` when the converter wants to process the request body.

Copyright © 2021 Eclipse. All rights reserved.